> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teleskop.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Post Sentiment

> Update a single post sentiment status.



## OpenAPI

````yaml PATCH /posts/{id}/sentiment
openapi: 3.1.0
info:
  title: Teleskop API
  version: 1.0.0
  contact:
    name: Teleskop Support
    url: https://teleskop.app/help
    email: support@teleskop.app
servers:
  - url: https://api.teleskop.dev
    description: Production
security:
  - x-api-key: []
tags: []
paths:
  /posts/{id}/sentiment:
    patch:
      tags:
        - Posts
      summary: Update Post Sentiment
      description: Update a single post sentiment status.
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePostSentimentDto'
      responses:
        '200':
          description: ''
      security:
        - x-api-key: []
components:
  schemas:
    UpdatePostSentimentDto:
      type: object
      properties:
        projects:
          default: []
          description: Arrays of project IDs
          type: array
          items:
            type: string
        sentiment:
          type: string
          description: Sentiment value of the post.
          enum:
            - neutral
            - negative
            - positive
      required:
        - projects
        - sentiment
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````